#ifndef ExRootTreeWriter_h
#define ExRootTreeWriter_h

/** \class ExRootTreeWriter
 *
 *  Class handling output ROOT tree
 *
 *  $Date: 2008-11-04 10:32:26 $
 *  $Revision: 1.1 $
 *
 *
 *  \author S. Ovyn - UCL, Louvain-la-Neuve
 *
 */

#include "TString.h"
 
#include <set>

class TFile;
class TTree;
class TClass;
class ExRootTreeBranch;

class ExRootTreeWriter
{
public:

  ExRootTreeWriter(const TString &fileName, const TString &treeName = "Result");
  ~ExRootTreeWriter();

  ExRootTreeBranch *NewBranch(const TString &name, TClass *cl);

  void Clear();
  void Fill();
  void Write();

private:

  TFile *fNewFile;
  TTree *fNewTree;

  std::set<ExRootTreeBranch*> fBranches;
};

#endif /* ExRootTreeWriter */

